#!/bin/bash

# This scripts formats partitions on a mounted loopback series of devices.
# Default Layout: 
## /dev/loop0 => whole device
## /dev/loop1 => /boot
## /dev/loop2 => /
## /dev/loop3 => swap

. /usr/lib/mdvvhdprov/common.sh

FS=$1

mkfs.${BOOT_FS} -L'/boot' /dev/${BOOT_LOOP}
mkfs.${FS} -L'/' /dev/${ROOT_LOOP}
mkswap -L'swap' /dev/${SWAP_LOOP}
