#!/bin/sh

export PATH=$PATH:/usr/lib/mdvvhdprov/

ROOT=/mnt
MINVHDSIZE=288

# Default Layout: 
## /dev/loop0 => whole device
## /dev/loop1 => /boot
## /dev/loop2 => /
## /dev/loop3 => swap
MAIN_LOOP=loop0
BOOT_LOOP=loop1
ROOT_LOOP=loop2
SWAP_LOOP=loop3
LODEVICES="${MAIN_LOOP} ${BOOT_LOOP} ${ROOT_LOOP} ${SWAP_LOOP}"

BOOT_FS=ext2

provecho()
{
	echo "[MDVVHDProv Status] $@"
}
