#!/bin/bash

# This script destroy all the loopback devices we used.

. /usr/lib/mdvvhdprov/common.sh

for dev in ${SWAP_LOOP} ${ROOT_LOOP} ${BOOT_LOOP} ${MAIN_LOOP};
do
	DEV=/dev/$dev
	LOS=$(losetup ${DEV} 2>/dev/null)

	if [ $? -eq 0 ]; then
		losetup -d ${DEV}
		if [ ! $? -eq 0 ]; then
			echo "Error while unlooping ${DEV}"
			exit 1
		fi
	else
		echo "losetup ${DEV}: ${LOS}"
	fi
done
